Your message dated Mon, 05 Feb 2018 06:52:03 +0000
with message-id <e1eiadh-000csr...@fasolo.debian.org>
and subject line Bug#888131: fixed in ruby-oj 3.4.0-1
has caused the Debian Bug report #888131,
regarding ruby-oj: FTBFS on ruby2.5: too many arguments to function 
'rb_struct_ptr'
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
888131: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888131
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: ruby-oj
Version: 2.17.4-1
Severity: important
User: debian-r...@lists.debian.org
Usertags: ruby2.5

Dear Maintainer,

This package fails to build against ruby2.5. Soon, there will
be a transition to ruby2.5, and this package will FTBFS in sid.

There may be some details on the wiki about common problems:
https://wiki.debian.org/Teams/Ruby/Ruby25Transition

Build log excerpt:

current directory: /build/ruby-oj-2.17.4/ext/oj
make V=1 "DESTDIR="
make[1]: Entering directory '/build/ruby-oj-2.17.4/ext/oj'
...
gcc -I. -I/usr/include/x86_64-linux-gnu/ruby-2.5.0 
-I/usr/include/ruby-2.5.0/ruby/backward -I/usr/include/ruby-2.5.0 -I. 
-Wdate-time -D_FORTIFY_SOURCE=2   -DRUBY_TYPE=ruby -DRUBY_RUBY 
-DRUBY_VERSION=2.5.0 -DRUBY_VERSION_MAJOR=2 -DRUBY_VERSION_MINOR=5 
-DRUBY_VERSION_MICRO=0 -DHAS_RB_TIME_TIMESPEC=1 -DHAS_ENCODING_SUPPORT=1 
-DHAS_NANO_TIME=1 -DHAS_IVAR_HELPERS=1 -DHAS_EXCEPTION_MAGIC=1 
-DHAS_PROC_WITH_BLOCK=1 -DHAS_TOP_LEVEL_ST_H=0 -DNEEDS_RATIONAL=0 
-DIS_WINDOWS=0 -DUSE_PTHREAD_MUTEX=1 -DUSE_RB_MUTEX=0 -DDATETIME_1_8=0 
-DNO_TIME_ROUND_PAD=0 -DHAS_DATA_OBJECT_WRAP=1 -Wall -fPIC -g -O2 
-fdebug-prefix-map=/build/ruby2.5-ed5dT1/ruby2.5-2.5.0=. 
-fstack-protector-strong -Wformat -Werror=format-security -fPIC  -o dump.o -c 
dump.c
dump.c: In function 'dump_struct_obj':
dump.c:1880:2: warning: 'rb_struct_ptr' is deprecated 
[-Wdeprecated-declarations]
  for (i = (int)RSTRUCT_LEN(obj), vp = RSTRUCT_CONST_PTR(obj); 0 < i; i--, 
vp++) {
  ^~~
In file included from /usr/include/ruby-2.5.0/ruby/ruby.h:24:0,
                 from /usr/include/ruby-2.5.0/ruby.h:33,
                 from oj.h:43,
                 from dump.c:43:
/usr/include/ruby-2.5.0/ruby/backward.h:47:37: note: declared here
 DECLARE_DEPRECATED_INTERNAL_FEATURE(rb_struct_ptr);
                                     ^
/usr/include/x86_64-linux-gnu/ruby-2.5.0/ruby/config.h:129:52: note: in 
definition of macro 'NORETURN'
 #define NORETURN(x) __attribute__ ((__noreturn__)) x
                                                    ^
/usr/include/ruby-2.5.0/ruby/backward.h:39:14: note: in expansion of macro 
'ERRORFUNC'
     NORETURN(ERRORFUNC(("deprecated internal function"), DEPRECATED(void 
func(void))))
              ^~~~~~~~~
/usr/include/ruby-2.5.0/ruby/backward.h:39:58: note: in expansion of macro 
'DEPRECATED'
     NORETURN(ERRORFUNC(("deprecated internal function"), DEPRECATED(void 
func(void))))
                                                          ^~~~~~~~~~
/usr/include/ruby-2.5.0/ruby/backward.h:47:1: note: in expansion of macro 
'DECLARE_DEPRECATED_INTERNAL_FEATURE'
 DECLARE_DEPRECATED_INTERNAL_FEATURE(rb_struct_ptr);
 ^
In file included from /usr/include/ruby-2.5.0/ruby.h:33:0,
                 from oj.h:43,
from dump.c:43:








/usr/include/ruby-2.5.0/ruby/ruby.h:1189:33: error: too many arguments to 
function 'rb_struct_ptr'
 #define RSTRUCT_PTR(st)         rb_struct_ptr(st)








^
dump.c:1878:47: note: in expansion of macro 'RSTRUCT_PTR'
 # define RSTRUCT_CONST_PTR(st) (const VALUE *)RSTRUCT_PTR(st)
                                               ^~~~~~~~~~~
dump.c:1880:39: note: in expansion of macro 'RSTRUCT_CONST_PTR'
  for (i = (int)RSTRUCT_LEN(obj), vp = RSTRUCT_CONST_PTR(obj); 0 < i; i--, 
vp++) {
                                       ^~~~~~~~~~~~~~~~~
In file included from /usr/include/ruby-2.5.0/ruby/ruby.h:24:0,
                 from /usr/include/ruby-2.5.0/ruby.h:33,
                 from oj.h:43,
                 from dump.c:43:
/usr/include/ruby-2.5.0/ruby/backward.h:47:37: note: declared here
 DECLARE_DEPRECATED_INTERNAL_FEATURE(rb_struct_ptr);
                                     ^
/usr/include/x86_64-linux-gnu/ruby-2.5.0/ruby/config.h:129:52: note: in 
definition of macro 'NORETURN'
 #define NORETURN(x) __attribute__ ((__noreturn__)) x
                                                    ^
/usr/include/ruby-2.5.0/ruby/backward.h:39:14: note: in expansion of macro 
'ERRORFUNC'
     NORETURN(ERRORFUNC(("deprecated internal function"), DEPRECATED(void 
func(void))))
              ^~~~~~~~~
/usr/include/ruby-2.5.0/ruby/backward.h:39:58: note: in expansion of macro 
'DEPRECATED'
     NORETURN(ERRORFUNC(("deprecated internal function"), DEPRECATED(void 
func(void))))
                                                          ^~~~~~~~~~
/usr/include/ruby-2.5.0/ruby/backward.h:47:1: note: in expansion of macro 
'DECLARE_DEPRECATED_INTERNAL_FEATURE'
 DECLARE_DEPRECATED_INTERNAL_FEATURE(rb_struct_ptr);
 ^
dump.c:1878:32: error: invalid use of void expression
 # define RSTRUCT_CONST_PTR(st) (const VALUE *)RSTRUCT_PTR(st)
                                ^
dump.c:1880:39: note: in expansion of macro 'RSTRUCT_CONST_PTR'
  for (i = (int)RSTRUCT_LEN(obj), vp = RSTRUCT_CONST_PTR(obj); 0 < i; i--, 
vp++) {
                                       ^~~~~~~~~~~~~~~~~
Makefile:242: recipe for target 'dump.o' failed
make[1]: Leaving directory '/build/ruby-oj-2.17.4/ext/oj'
make[1]: *** [dump.o] Error 1
/usr/lib/ruby/2.5.0/rubygems/ext/builder.rb:92:in `run': make failed, exit code 
2 (Gem::InstallError)
        from /usr/lib/ruby/2.5.0/rubygems/ext/builder.rb:52:in `block in make'
        from /usr/lib/ruby/2.5.0/rubygems/ext/builder.rb:44:in `each'
        from /usr/lib/ruby/2.5.0/rubygems/ext/builder.rb:44:in `make'
        from /usr/lib/ruby/2.5.0/rubygems/ext/ext_conf_builder.rb:61:in `block 
in build'
        from /usr/lib/ruby/2.5.0/tempfile.rb:295:in `open'
        from /usr/lib/ruby/2.5.0/rubygems/ext/ext_conf_builder.rb:30:in `build'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:76:in 
`block in build_and_install'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:70:in 
`chdir'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:70:in 
`build_and_install'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:108:in 
`block in build_all_extensions'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:105:in 
`each'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:105:in 
`build_all_extensions'
        from /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb:121:in 
`<main>'
/usr/lib/ruby/vendor_ruby/gem2deb.rb:56:in `run': /usr/bin/ruby2.5 
/usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb /build/ruby-oj-2.17.4 
debian/ruby-oj (Gem2Deb::CommandFailed)
        from /usr/lib/ruby/vendor_ruby/gem2deb.rb:67:in `run_ruby'
        from /usr/lib/ruby/vendor_ruby/gem2deb/installer.rb:37:in `block in 
install_files_and_build_extensions'
        from /usr/lib/ruby/vendor_ruby/gem2deb/installer.rb:34:in `each'
        from /usr/lib/ruby/vendor_ruby/gem2deb/installer.rb:34:in 
`install_files_and_build_extensions'
        from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:84:in `block in 
install'
        from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:82:in `each'
        from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:82:in `install'
        from /usr/bin/dh_ruby:94:in `<main>'
dh_auto_install: dh_ruby --install /build/ruby-oj-2.17.4/debian/ruby-oj 
returned exit code 1
make: *** [binary] Error 1
debian/rules:15: recipe for target 'binary' failed
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2

Full build log:
https://rbuild.fau.xxx/2018-01-23/ruby-oj.log

Please fix it!

Cheers,
Chris.

--- End Message ---
--- Begin Message ---
Source: ruby-oj
Source-Version: 3.4.0-1

We believe that the bug you reported is fixed in the latest version of
ruby-oj, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 888...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <bou...@debian.org> (supplier of updated ruby-oj package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 04 Feb 2018 22:27:09 +0100
Source: ruby-oj
Binary: ruby-oj
Architecture: source
Version: 3.4.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Ruby Extras Maintainers 
<pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <bou...@debian.org>
Description:
 ruby-oj    - fast JSON parser and serializer for Ruby
Closes: 888131
Changes:
 ruby-oj (3.4.0-1) unstable; urgency=medium
 .
   * New upstream version 3.4.0
     + The 3.x series has support for Ruby 2.5 since 3.3.6 (Closes: #888131)
   * Bump Standards-Version to 4.1.3 (no changes needed)
   * Use https for hps for homepage and watch file
   * Set Multi-Arch: same
Checksums-Sha1:
 b6ed212db4e0bc78feb4a360f4a79da502e8a1aa 1683 ruby-oj_3.4.0-1.dsc
 df294bd0f282056ee33eefb72993edb395f196d8 197027 ruby-oj_3.4.0.orig.tar.gz
 dfbbbdc8ce49ca0f3a38be7e5666a0eedb7ca1ef 4696 ruby-oj_3.4.0-1.debian.tar.xz
 cfb346209f618f032d8a2422b5dab666d2ab18b4 6230 ruby-oj_3.4.0-1_source.buildinfo
Checksums-Sha256:
 6a0032aea7825275ef2ff5102fd60082925fade21e6026ea93127e8dada30664 1683 
ruby-oj_3.4.0-1.dsc
 9648d2dffab9c8e6869f9b5627e81a6a04b89ec8f267b505c7f4af912ef7b34f 197027 
ruby-oj_3.4.0.orig.tar.gz
 cd165a09b077f48a060f4b4f0940c25ce4729ade9401b64a5e284201661e4e0a 4696 
ruby-oj_3.4.0-1.debian.tar.xz
 ff6d02418231ff77b012188e7770a82b732bc91de2ea785e8b7f332fab4e7c20 6230 
ruby-oj_3.4.0-1_source.buildinfo
Files:
 29030815256effd5e9c61167d14f16f8 1683 ruby optional ruby-oj_3.4.0-1.dsc
 92f30577935da072b05ddfba839e1884 197027 ruby optional ruby-oj_3.4.0.orig.tar.gz
 08cba15b3c15210aa1c2b5e1a6235246 4696 ruby optional 
ruby-oj_3.4.0-1.debian.tar.xz
 e11329000acb2751ec2871939ec94e88 6230 ruby optional 
ruby-oj_3.4.0-1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEnM1rMZ2/jkCrGr0aia+CtznNIXoFAlp3+1wACgkQia+CtznN
IXrz+wgAl8Lj8Gl6U97BN4z2VQDDDl8JtGkCwZwg/Qubo9gpr/q8nuY11kKq222A
i/RfKp+dBIAQBBTZAxyCqsB2q6Sk8ZTzxgYyMubRNd0O/JDo9v4kEsm55Q1mXrCk
tymSxCI3W3G4Bc2VwAi9fl4hYB3LwLhJcYrewVVMyhuGZqRimVXZSoaJskr2gWhN
tj8mAiNCT/9rTLc1YV7mUKUTegSyryi6+YyIv/CF9CPoCBRWKgz/VfgvuDDixUbe
c+7jJdNl37ch7jRInRJ8kKs/LSjWWKUjQ5iK5azS2kdS8fM9UBw5WwxOkWQ9yua2
xCsJElX/ECrPE4k5IcaY65Uu4FsWiA==
=2Y2J
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-ruby-extras-maintainers mailing list
Pkg-ruby-extras-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ruby-extras-maintainers

Reply via email to